package com.myapp;

import org.junit.*;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;


public class StringsTest {


    @Before
    public void beforeTest() {
        System.out.println("before test");
    }

    @After
    public void afterTest() {
        System.out.println("after test");
    }

    @Test
    public void testGetLength() {
        System.out.println("testGetLength");
        int length = new Strings().getLength("hello");
        Assert.assertTrue("Failed", length == 5);
    }


    @Ignore
    @Test
    public void testGetLengthFail() {
        int length = new Strings().getLength("hello");
        Assert.assertFalse("Failed", length == 0);
    }

    @Test
    public void testIsUpperCased() {
        boolean res = new Strings().isUpperCased("goodbye");
        Assert.assertEquals(res, false);
    }


    @Test
    public void testEvenWordsInSent() {
        List<String> evens = new Strings().evenWordsInSent("This is a sentence with even and odd words");
        List<String> actual = Arrays.asList("This", "is", "sentence", "with", "even");

        Assert.assertEquals(evens, actual);
    }


    @AfterClass
    //must be static bc its a class method
    public static void afterClass() {
        System.out.println("afterClass from StringsTest");
    }





}
